Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 16, 17, 18 ... 38, 39, 40  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6928
Location: Austria

PostPosted: Sat Feb 07, 2009 9:43 am    Post subject: Reply with quote

Ok. ;) Then we actually wasted our time.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Sat Feb 07, 2009 4:08 pm    Post subject: Reply with quote

Your profile/package.mask directory is breaking paludis (see https://forums.gentoo.org/viewtopic-t-734951.html)

Can we get that fixed?
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Sun Feb 08, 2009 3:50 pm    Post subject: Reply with quote

Code:
# emerge @kde-live

!!! All ebuilds that could satisfy "kde-base/khangman:live" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/khangman-9999 (masked by: missing keyword)


Could this be added to the package mask for live please? :)
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Sun Feb 08, 2009 4:50 pm    Post subject: Reply with quote

loftwyr wrote:
Your profile/package.mask directory is breaking paludis (see https://forums.gentoo.org/viewtopic-t-734951.html)

Can we get that fixed?


I got it too.
I had to rename the directory.
Can you guys fix it?
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 276

PostPosted: Mon Feb 09, 2009 9:13 am    Post subject: Reply with quote

Why does plasma-weatherforecast-1.2 depend on sandbox-1.3.5?
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Mon Feb 09, 2009 2:05 pm    Post subject: Reply with quote

What happened to kde-crazy? I uninstalled it to not have to deal with a problem with the sets a few weeks ago but now I wanted to retest kdevelop4

Code:
jmd0 ~ # layman -a kde-crazy
* Overlay "kde-crazy" does not exist!

_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
neuron
Advocate
Advocate


Joined: 28 May 2002
Posts: 2371

PostPosted: Mon Feb 09, 2009 2:26 pm    Post subject: Reply with quote

kde-crazy was removed, kde-testing is the new crazy, and the kde-testing builds are in the main tree.
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Mon Feb 09, 2009 3:04 pm    Post subject: Reply with quote

Thank You. I see the kdevelop-3.9.85.ebuild is in kde-testing. Now I remember I also disabled kde-testing so the ebuilds are not showing up in an equery list:

Code:
equery list kdevelop -o
[ Searching for package 'kdevelop' in all categories among: ]
 * installed packages
[I--] [ ~] dev-util/kdevelop-3.5.4 (0)
 * overlay tree (/auto/portage/local/layman/sunrise /auto/portage/local/layman/gnome /auto/portage/local/layman/jmd-gentoo /auto/portage/local/layman/jokey /auto/portage/local/layman/vmware)

_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Mon Feb 09, 2009 4:04 pm    Post subject: Reply with quote

kde-testing live builds do not seem to be working at the moment. I haven't managed to compile kde-testing since the last major update to the overlay.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Feb 09, 2009 5:43 pm    Post subject: Reply with quote

mikedee wrote:
kde-testing live builds do not seem to be working at the moment. I haven't managed to compile kde-testing since the last major update to the overlay.

Should depend on qt-4.5 meanwhile. Plasma at least.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Mon Feb 09, 2009 5:44 pm    Post subject: Reply with quote

The kde-testing is working now (all the package.keyword files are there)

Thanks to everyone working behind the scenes :)

P.S. That means everything starts to compile, not that I can get them working. Last time I tried qt-4.5 plasma did not work and I had loads of other problems. Is it required now? The last qt-4.5 bug I reported was ignored because none of the developers were not using it.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Feb 09, 2009 5:47 pm    Post subject: Reply with quote

mikedee wrote:
P.S. That means everything starts to compile, not that I can get them working. Last time I tried qt-4.5 plasma did not work and I had loads of other problems. Is it required now? The last qt-4.5 bug I reported was ignored because none of the developers were not using it.

Well, they started removing some qt-4.4'ish hacks in trunk.
http://vizzzion.org/?blogentry=906 ..which also explains why it might get painful for developers to work on both, 4.2 and trunk ebuilds.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Mon Feb 09, 2009 6:00 pm    Post subject: Reply with quote

Thanks, Ill try 4.4 first and if I have problems Ill try 4.5.

Does anyone know the easiest way to get 4.5? Is there another overlay for that?
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Feb 09, 2009 6:02 pm    Post subject: Reply with quote

mikedee wrote:
Thanks, Ill try 4.4 first and if I have problems Ill try 4.5.

Does anyone know the easiest way to get 4.5? Is there another overlay for that?

The qting-edge overlay has it.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Mon Feb 09, 2009 6:55 pm    Post subject: Reply with quote

Thanks, just one more question...

Should we be installing media-sound/phonon or x11-libs/qt-phonon? I am using media-sound/phonon because qt-phonon seems to be incompatible with a lot of the kde-testing ebuilds. It is slightly annoying because qt-webkit seems to require qt-phonon.
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Tue Feb 10, 2009 2:31 am    Post subject: mplayerthumbs compile error Reply with quote

mplayerthumbs fails to compile!

Code:

[ 90%] Building CXX object src/CMakeFiles/mplayerthumbsconfig.dir/mplayerthumbs.o                               
CMakeFiles/videopreview.dir/videopreview.o: In function `VideoPreview::~VideoPreview()':                         
videopreview.cpp:(.text+0x4bd): undefined reference to `ThumbCreator::~ThumbCreator()'                           
CMakeFiles/videopreview.dir/videopreview.o: In function `VideoPreview::~VideoPreview()':                         
videopreview.cpp:(.text+0x597): undefined reference to `ThumbCreator::~ThumbCreator()'                           
CMakeFiles/videopreview.dir/videopreview.o: In function `VideoPreview::~VideoPreview()':                         
videopreview.cpp:(.text+0x661): undefined reference to `ThumbCreator::~ThumbCreator()'                           
CMakeFiles/videopreview.dir/videopreview.o:(.data.rel.ro._ZTI12VideoPreview[typeinfo for VideoPreview]+0x18): undefined reference to `typeinfo for ThumbCreator'                                                                 
collect2: ld returned 1 exit status                                                                             
make[2]: *** [lib/videopreview.so] Error 1                                                                       
make[1]: *** [src/CMakeFiles/videopreview.dir/all] Error 2                                                       
make[1]: *** Waiting for unfinished jobs....                                                                     
Linking CXX executable mplayerthumbsconfig                                                                       
[100%] Built target mplayerthumbsconfig                                                                         
make: *** [all] Error 2                                                                                         
 *                                                                                                               
 * ERROR: media-video/mplayerthumbs-1.1-r1 failed.                                                               
 * Call stack:                                                                                                   
 *               ebuild.sh, line   49:  Called src_compile                                                       
 *             environment, line 3089:  Called kde4-base_src_compile                                             
 *             environment, line 2242:  Called kde4-base_src_make                                               
 *             environment, line 2302:  Called cmake-utils_src_make                                             
 *             environment, line  798:  Called die                                                               
 * The specific snippet of code:                                                                                 
 *           emake "$@" || die "Make failed!";                                                                   
 *  The die message:                                                                                             
 *   Make failed!                                                                                               
 *                                                                                                               
 * If you need support, post the topmost build error, and the call stack if relevant.                           
 * A complete build log is located at '/var/tmp/portage/media-video/mplayerthumbs-1.1-r1/temp/build.log'.       
 * The ebuild environment file is located at '/var/tmp/portage/media-video/mplayerthumbs-1.1-r1/temp/environment'.                                                                                                               
 * This ebuild is from an overlay named 'kde': '/usr/local/portage/layman/kde-testing/'                         
 *                                                                                                               

>>> Failed to emerge media-video/mplayerthumbs-1.1-r1

_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
tampakrap
Retired Dev
Retired Dev


Joined: 27 Nov 2007
Posts: 71
Location: Prague, Czech Republic

PostPosted: Tue Feb 10, 2009 1:35 pm    Post subject: Reply with quote

omg and i just commited it to the tree
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 644

PostPosted: Tue Feb 10, 2009 2:26 pm    Post subject: Reply with quote

This is fixed by the patch from here.
_________________
Gentoo Linux 13.0 | 3.19 | glibc 2.19 | gcc 4.9.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Tue Feb 10, 2009 3:51 pm    Post subject: Reply with quote

Fixed in the tree, I filed a bug there! :P
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Dont Panic
Guru
Guru


Joined: 20 Jun 2007
Posts: 322
Location: SouthEast U.S.A.

PostPosted: Tue Feb 10, 2009 4:05 pm    Post subject: Reply with quote

Boccaccio wrote:
Why does plasma-weatherforecast-1.2 depend on sandbox-1.3.5?

I think that is a cascaded dependency for all of KDE 4.2. I've started running into that on any KDE 4.2 package I tried to rebuild/upgrade.
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 276

PostPosted: Tue Feb 10, 2009 4:11 pm    Post subject: Reply with quote

Dont Panic wrote:
Boccaccio wrote:
Why does plasma-weatherforecast-1.2 depend on sandbox-1.3.5?

I think that is a cascaded dependency for all of KDE 4.2. I've started running into that on any KDE 4.2 package I tried to rebuild/upgrade.

That's what I observed, too, during the last few days. I don't really feel comfortable with going unstable in another sys-apps package. Especially since I don't really know, what sandbox does...
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Wed Feb 11, 2009 1:10 pm    Post subject: Reply with quote

Is this a bug?

Code:
# emerge @kde-live
...
!!! All ebuilds that could satisfy "kde-base/kmousetool:live" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kmousetool-9999 (masked by: package.mask, missing keyword)
/usr/portage/local/layman/kde-testing/profiles/package.mask:
# Maciej Mrozowski (reavertm) <reavertm@poczta.fm> (10 Feb 2009)
# Autogenerated by regenerate-files, DO NOT EDIT.
# Live packages are masked by default.
# Edit Documentation/package.unmask/kde-live.d/ files instead.


I have linked Documentation/package.unmask/kde-live.d/ to /etc/portage/package.unmask
Back to top
View user's profile Send private message
markus.doits
n00b
n00b


Joined: 11 Feb 2009
Posts: 2

PostPosted: Wed Feb 11, 2009 4:49 pm    Post subject: Reply with quote

is this right that fetching any 4.2.61-package fails because of missing svn-version in download-string? is this the meaining of the remark in git we can't compile anything?

Code:
>>> Downloading 'ftp://ftp.kde.org/pub/kde/unstable/4.2.61/src/kdeartwork-4.2.61.tar.bz2'
--2009-02-11 17:37:58--  ftp://ftp.kde.org/pub/kde/unstable/4.2.61/src/kdeartwork-4.2.61.tar.bz2
           => `/usr/portage/distfiles/kdeartwork-4.2.61.tar.bz2'
Resolving ftp.kde.org... 131.220.16.1
Connecting to ftp.kde.org|131.220.16.1|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/kde/unstable/4.2.61/src ... done.
==> SIZE kdeartwork-4.2.61.tar.bz2 ... done.
==> PASV ... done.    ==> RETR kdeartwork-4.2.61.tar.bz2 ...
No such file `kdeartwork-4.2.61.tar.bz2'.


edit: nevermind, i found it out myself: it is! :)
Back to top
View user's profile Send private message
Cleus
Apprentice
Apprentice


Joined: 21 Aug 2004
Posts: 157

PostPosted: Thu Feb 12, 2009 6:52 pm    Post subject: Re: kde-live: problem with korganizer Reply with quote

kdvgent wrote:
I decided to try to install kde-live. Everything went fine (@kdebase-live @kdeadmin-live @kdeartwork-live @kdegames-live @kdegraphics-live @kdemultimedia-live @kdenetwork-live @kdeutils-live) except @kdepim-live.
When building korganizer, I get the following error:
/usr/lib/gcc/i686-pc-linux-gnu/4.3.3/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lkaddressbookprivate
With kde-4.2, everything goes fine.
Any suggestion - more information can be provided of course.



Code:
USE="-kontact" emerge korganizer


This works, emerge complit, but this not good.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sat Feb 14, 2009 6:57 am    Post subject: Reply with quote

any news about weekly snapshot?
I think there is some problem with the portage one ebuilds...

Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=x11-base/xorg-server-1.5.2" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-base/xorg-server-1.5.3-r2 (masked by: ~amd64 keyword)
- x11-base/xorg-server-1.5.3-r1 (masked by: ~amd64 keyword)
- x11-base/xorg-server-1.5.3 (masked by: ~amd64 keyword)
- x11-base/xorg-server-1.5.2 (masked by: ~amd64 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "kde-base/knewstuff-4.2.0" [installed])
(dependency required by "world" [argument])
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 16, 17, 18 ... 38, 39, 40  Next
Page 17 of 40

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum